Browse Source

CI: Update Ubuntu, gcc & clang-format

Integral 5 tháng trước cách đây
mục cha
commit
2c29aef35f
3 tập tin đã thay đổi với 5 bổ sung7 xóa
  1. 1 1
      .ci/check-format.sh
  2. 2 2
      .ci/static-analysis.sh
  3. 2 4
      .github/workflows/status-check.yaml

+ 1 - 1
.ci/check-format.sh

@@ -2,7 +2,7 @@
 
 SOURCES=$(find $(git rev-parse --show-toplevel) | grep -E "\.(cpp|cc|c|h)\$")
 
-CLANG_FORMAT=$(which clang-format-12)
+CLANG_FORMAT=$(which clang-format)
 if [ $? -ne 0 ]; then
     CLANG_FORMAT=$(which clang-format)
     if [ $? -ne 0 ]; then

+ 2 - 2
.ci/static-analysis.sh

@@ -62,9 +62,9 @@ function do_sparse()
 
 function do_gcc()
 {
-    local GCC=$(which gcc-11)
+    local GCC=$(which gcc)
     if [ $? -ne 0 ]; then
-        echo "[!] gcc-11 is not installed. Failed to run static analysis with GCC." >&2
+        echo "[!] gcc is not installed. Failed to run static analysis with GCC." >&2
         exit 1
     fi
 

+ 2 - 4
.github/workflows/status-check.yaml

@@ -10,7 +10,7 @@ on:
 
 jobs:
   validate:
-    runs-on: ubuntu-22.04
+    runs-on: ubuntu-24.04
     steps:
       - name: checkout code
         uses: actions/checkout@v4
@@ -23,9 +23,7 @@ jobs:
         if: ${{ steps.changed-files.outputs.any_changed == 'true' ||
                 github.event_name == 'workflow_dispatch' }}
         run: |
-            sudo apt-get install -q -y clang-format-12
-            sudo apt-get install -q -y cppcheck
-            sudo apt-get install -q -y gcc-11
+            sudo apt install -q -y clang-format cppcheck gcc
             .ci/check-newline.sh
             .ci/check-format.sh
             .ci/static-analysis.sh